#!/bin/sh
#
#
# Master preInstall script.
#
#

OS=`uname -s`;
echo $OS 2> /dev/null > /dev/null
APPROOT="/opt/ibm/edge";
MAJORVERSION=8;
MINORVERSION=0;
REVISION=0;
PATCHLEVEL=9;

#Changing FULL_BUILD to true as IM uninstalls the base version of CP before installing the fix pack
if [ $REVISION -gt 0 -o $PATCHLEVEL -gt 0 ]
then
	FULL_BUILD=true;
else
	FULL_BUILD=true;
fi

case `echo $LANG` in
	"en_US"*)
		LANGUAGE="en_US";
		;;
	"cs_CZ"*)
		LANGUAGE="cs_CZ";
        ;;
	"de_DE"*)
		LANGUAGE="de_DE";
        ;;
	"es_ES"*)
		LANGUAGE="es_ES";
        ;;
	"fr_FR"*)
		LANGUAGE="fr_FR";
        ;;
	"hu_HU"*)
		LANGUAGE="hu_HU";
        ;;
	"it_IT"*)
		LANGUAGE="it_IT";
        ;;
	"ja_JP"*)
		LANGUAGE="ja_JP";
        ;;
	"ko_KR"*)
		LANGUAGE="ko_KR";
        ;;
	"pl_PL"*)
		LANGUAGE="pl_PL";
        ;;
	"pt_BR"*)
		LANGUAGE="pt_BR";
        ;;
	"ru_RU"*)
		LANGUAGE="ru_RU";
        ;;
	"zh_CN"*)
		LANGUAGE="zh_CN";
        ;;
	"zh_TW"*)
        LANGUAGE="zh_TW";
        ;;		  
	*)
		LANGUAGE="en_US";
		;;
esac

case "$OS" in
"AIX")
		if [ $FULL_BUILD = "true" ]
		then
			./wses_admin.rte.pre_rm
			./wses_cp.msg.$LANGUAGE.base.pre_i
			./wses_cp.base.pre_i
			./wses_cp.msg.$LANGUAGE.base.pre_rm
			./wses_cp.base.pre_rm
		else
			./patch/wses_cp.base.pre_i
			./patch/wses_cp.msg.$LANGUAGE.base.pre_rm
			./patch/wses_cp.base.pre_rm
		fi
        ;;
"SunOS")
		./WSESadmin.checkinstall
		./WSESadmin.preinstall
		if [ $LANGUAGE = "en_US" ]
		then
			if [ $FULL_BUILD = "true" ]
			then
				./WSEScpmen.preinstall
			else
				./patch/WSEScpmen.preinstall
			fi
		else
			if [ $FULL_BUILD = "true" ]
			then
				./WSEScpm$LANGUAGE.preinstall
			else
				./patch/WSEScpm$LANGUAGE.preinstall
			fi
		fi
		./WSEScp.checkinstall
		if [ $FULL_BUILD = "true" ]
		then
			./WSEScp.preinstall
		else
			./patch/WSEScp.preinstall
		fi
        ;;
"HP-UX")
		./admin.checkinstall
		./admin.preinstall
		./WSES-cpm$LANGUAGE.preinstall
		./cp.checkinstall
		./cp.preinstall
        ;;
"Linux" )
		if [ $FULL_BUILD = "true" ]
		then
			./WSES_Admin_Runtime.sh
			./WSES_CachingProxy_msg_$LANGUAGE.sh
			./WSES_CachingProxy.sh
		else
			./patch/WSES_Admin_Runtime.sh
			./patch/WSES_CachingProxy_msg_$LANGUAGE.sh
			./patch/WSES_CachingProxy.sh
		fi
        ;;
*)
		echo "Platform not supported!" 2> /dev/null > /dev/null;
		exit -1 ;;
esac
echo "PreInstall check successful";
exit 0;